[X2Go-Commits] x2goserver.git - build-main (branch) updated: 3.0.99-2-95-g999a7a6

X2Go dev team git-admin at x2go.org
Wed Dec 4 06:17:30 CET 2013


The branch, build-main has been updated
       via  999a7a65467e1db2de8582570baa47b9e3bf9223 (commit)
      from  e7324f82784e188b09885f03378d6a672afcabf1 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
-----------------------------------------------------------------------

Summary of changes:
 debian/x2goserver.postinst |    1 +
 debian/x2goserver.preinst  |   43 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)
 create mode 100755 debian/x2goserver.preinst

The diff of changes is:
diff --git a/debian/x2goserver.postinst b/debian/x2goserver.postinst
index 909099f..e5bc217 100755
--- a/debian/x2goserver.postinst
+++ b/debian/x2goserver.postinst
@@ -38,6 +38,7 @@ case "$1" in
 			        --shell /bin/false --group --home /var/db/x2go x2gouser
 		else
 			echo "User x2gouser already exists." >&2
+			id -g --name "x2gouser" | grep "x2gousers" >/dev/null && usermod x2gouser -g x2gouser
 		fi
 
 		if [ ! -f /var/db/x2go/x2go_sessions ]; then
diff --git a/debian/x2goserver.preinst b/debian/x2goserver.preinst
new file mode 100755
index 0000000..58988d9
--- /dev/null
+++ b/debian/x2goserver.preinst
@@ -0,0 +1,43 @@
+#!/bin/sh
+# preinst script for x2goserver
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+	configure)
+		# cleanup old x2goserver installations
+		test -f /var/lib/x2go/x2go_sessions && rm /var/lib/x2go/x2go_sessions
+		getent group x2gousers && echo "WARNING: found obsolete group ,,x2gousers'', please remove manually!!!"
+		;;
+	abort-upgrade|abort-remove|abort-deconfigure)
+		;;
+
+	*)
+		echo "postinst called with unknown argument \`$1'" >&2
+		exit 1
+		;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+


hooks/post-receive
-- 
x2goserver.git (X2Go Server)

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "x2goserver.git" (X2Go Server).




More information about the x2go-commits mailing list